### Intro: ####################################################################
#
# timeup.tcl is an Eggdrop uptime script by SHiNY heavily based on KNK Script
# v1.0 by Ian Preglo and Marluo Anuengo. Tested on Eggdrop 1.6.18.
#
# Contact: shiny@email.com
#
################################################################################


### Version History: ###########################################################
#
# v1.0 First Release (and propably last ^_^)
#
################################################################################


### Description: ###############################################################
#
# Simple Uptime script that will show both the eggdrops and the shells uptime.
#
# Basically i needed an uptime script for my eggdrop and i couldnt find one i 
# liked until i found the KNK script by Ian Preglo and Marluo Anuengo
# but it had a load of features i didnt want, so i removed them and edited 
# some other small things. Still all the credits go to the original KNK 
# scripters because its still all their code. Just trimmed.
# 
# Props to lee for for the name
#
################################################################################


#### Install: ##################################################################
#
# Install by placing timeup.tcl in your /scripts directory and then add:
# "source scripts/timeup.tcl" (without quotes) to your eggdrop.conf.
# Finally .rehash or .restart your eggdrop from partyline. Enjoy.
#
################################################################################


### Config: ####################################################################
#
# You can load the script straight and it will work.  However there are some
# things that can be changed to suit your needs. The options are below.
#
# This Option allow you to choose who can use the command. By default everyone
# can use it: "-" however you change it to "v" for voice and above, or "o" to
# only allow ops to use the command.
#
set userflag "-"
#
# By default !timeup is the command used to trigger the bot. However this can
# be changed to anything you want. I like !timeup better than !uptime but most
# of you propably dont so feel free to edit it back.
#
set up "!timeup"
#
# If the output is to bland for you then you can add colour and bold etc to
# the text by adding to the putnow lines.
# http://www.eggheads.org/pipermail/eggheads/1999-October/001725.html has a good tutorial on colour codes.
#
# 
################################################################################

#==============================================================================#
#------------------------------!!!SCRIPT START!!!------------------------------#
#==============================================================================#

bind PUB $userflag $up main_func

proc main_func {nick uhost hand chan arg} {show_uptime $nick $uhost $hand $chan $arg}

proc show_uptime {nick uhost hand chan arg} {
catch {exec uptime} shelluptime
catch {exec uname -ms} shellver
putnow "PRIVMSG $chan :Bot Uptime: [duration [expr [clock seconds] - $::uptime]]" 
putnow "PRIVMSG $chan :Shell Uptime: $shelluptime running on $shellver"
}

#==============================================================================#
#-------------------------------!!!SCRIPT END!!!-------------------------------#
#==============================================================================#


### Loaded message: ############################################################
#
putlog "timeup.tcl by SHiNY loaded!"
#
################################################################################
